Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::StaticGeometry::QueuedGeometry Struct Reference

Structure recording a queued geometry for low level builds. More...

`#include <OgreStaticGeometry.h>`

List of all members.

## Public Attributes
SubMeshLodGeometryLink * | geometry
Vector3 | position
Quaternion | orientation
Vector3 | scale

## Detailed Description

Structure recording a queued geometry for low level builds.

Definition at line 165 of file OgreStaticGeometry.h.

## Member Data Documentation

SubMeshLodGeometryLink* Ogre::StaticGeometry::QueuedGeometry::geometry

| Definition at line 167 of file OgreStaticGeometry.h.

Quaternion Ogre::StaticGeometry::QueuedGeometry::orientation

| Definition at line 169 of file OgreStaticGeometry.h.

Vector3 Ogre::StaticGeometry::QueuedGeometry::position

| Definition at line 168 of file OgreStaticGeometry.h.

Vector3 Ogre::StaticGeometry::QueuedGeometry::scale

| Definition at line 170 of file OgreStaticGeometry.h.

The documentation for this struct was generated from the following file:

- OgreStaticGeometry.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:53:33 2007